> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Token

> Verify the API token and optionally return user information



## OpenAPI

````yaml /api-reference/openapi.json get /verify
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /verify:
    get:
      tags:
        - Authentication
      summary: Verify Token
      description: Verify the API token and optionally return user information
      operationId: verifyToken
      parameters:
        - name: user_info
          in: query
          required: false
          schema:
            type: boolean
            default: false
          description: Whether to include user information in the response
      responses:
        '200':
          description: Token is valid
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
                  user:
                    type: object
                    description: User information (only included if user_info=true)
                    properties:
                      id:
                        type: integer
                      email:
                        type: string
                      name:
                        type: string
                      company:
                        type: object
                        properties:
                          id:
                            type: integer
                          name:
                            type: string
        '401':
          description: Invalid or missing token
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````